POSTClaim LP position fees
Claim LP position fees
npx skills add uniswap/uniswap-ai --skill liquidity-plannerPlan LP positions with deep links. Works with Claude Code, Cursor, and other AI coding tools.
Authorization
x-api-keystringrequiredheaderPlayground key
You're using a shared playground keyCreate a free account and get your own API keys from the dashboard.
Get your keysBody
application/jsonprotocolenumrequiredV2V3V4
The protocol of the pool.
walletAddressstringrequiredchainIdenumrequireddefault:11105613013714319632448018684217432646635042845310143421614222043114570735914481457777777713018453211155111
The unique ID of the blockchain. For a list of supported chains see the FAQ.
tokenIdstringrequiredThe NFT token ID identifying the position.
simulateTransactionbooleanIf true, the response will include the gas fee.
collectAsWethbooleanIf true, native tokens will be collected as WETH instead of unwrapping to ETH.
Response
Claim fees successful.
requestIdstringrequiredA unique ID for the request.
token0objectrequiredA token with its address and amount, used in LP operations.
token1objectrequiredA token with its address and amount, used in LP operations.
claimobjectrequiredgasFeestringThe total estimated gas cost of this transaction (eg. gasLimit multiplied by maxFeePerGas) in the base unit of the chain.
POST
/lp/claim_feesRequest
curl --request POST \
--url 'https://liquidity.api.uniswap.org/lp/claim_fees' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{
"protocol": "<enum>",
"walletAddress": "<string>",
"chainId": 1,
"tokenId": "<string>"
}'Response
200
{ "requestId": "<string>", "token0": { "tokenAddress": "<string>", "amount": "<string>" }, "token1": { "tokenAddress": "<string>", "amount": "<string>" }, "claim": { "to": "<string>", "from": "<string>", "data": "<string>", "value": "<string>", "gasLimit": "<string>", "chainId": "<number>", "maxFeePerGas": "<string>", "maxPriorityFeePerGas": "<string>", "gasPrice": "<string>" }, "gasFee": "<string>"}